package gui;
/**
 * 
 * @author Sebastian & Stefan
 * @version 0.2
 */


import javax.swing.*;
import java.awt.*;
import java.io.*;

public class ShowPics extends JComponent{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3998681303875892256L;
	private Image _image;

	protected void paintComponent( Graphics g )
	{
	if ( _image != null )
	g.drawImage( _image, 1, 1, this );
	}

	public void setImage( File file,JPanel panel)
	{
		MediaTracker mtracker = new MediaTracker(this);
		mtracker.addImage(_image, 0);
		_image = Toolkit.getDefaultToolkit().
		getImage( file.getAbsolutePath()).getScaledInstance(
				panel.getWidth()-20,panel.getHeight()-20,
				Image.SCALE_SMOOTH);
		
		try{
			mtracker.waitForAll();
		}catch(InterruptedException ie){}
	}
}