package gui;


import java.awt.Graphics;
import java.awt.Image;
import java.awt.MediaTracker;
import java.awt.Toolkit;
import java.io.File;
import javax.swing.JComponent;

/**
 * 
 * @author Sebastian & Stefan
 * @version 0.2
 */



public class ShowComp extends JComponent{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3998681303875892256L;
	private Image image;

	protected void paintComponent( Graphics g )
	{
	if ( image != null )
	g.drawImage( image, 1, 1, this );
	}

	public void setImage( File file )
	{
		MediaTracker mtracker = new MediaTracker(this);
		mtracker.addImage(image, 0);
		image = Toolkit.getDefaultToolkit().
		getImage( file.getAbsolutePath()).getScaledInstance(400, 400,Image.SCALE_SMOOTH);
		
		try{
			mtracker.waitForAll();
		}catch(InterruptedException ie){}
		
		
		
	}

}